Platform O&M/Tag Operations
POSTTag OperationsSince 0.6SynchronousAuth Required
CreateSystemTag
CreateSystemTag
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
resourceTypeStringRequiredThe resource type, which must be specified when you create a tag.
resourceUuidStringRequiredThe resource UUID. If specified, the system will not allocate randomly a UUID to the resource.
tagStringRequiredThe tag string.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/system-tags
/zstack/v1/system-tags
Request Example
curl -X POST 'http://{host}/zstack/v1/system-tags' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"resourceType":"<resourceType>","resourceUuid":"<resourceUuid>","tag":"<tag>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "inherent": false, "uuid": "55d86810cb564ecc934fa79d498b9dc3", "resourceType": "HostVO", "tag": "reservedMemory::1G", "type": "System", "createDate": "Apr 24, 2017 7:10:55 PM", "lastOpDate": "Apr 24, 2017 7:10:55 PM" } }Change History
This API has no change history records yet.
